AutoCAD Electrical General

Reply
Active Member
M.Red
Posts: 10
Registered: ‎01-09-2013
Message 1 of 2 (71 Views)

Wht is wrong with ....... (setq ssWire (ssget "X" '((0 . "LWPOLYLINE"))))

71 Views, 1 Replies
10-11-2013 12:50 PM

This returs a 'selection set', but I do not seem to be able to get to it (individual polylines).

*Expert Elite*
dgorsman
Posts: 5,056
Registered: ‎10-12-2006
Message 2 of 2 (64 Views)

Re: Wht is wrong with ....... (setq ssWire (ssget "X" '((0 . "LW

10-11-2013 03:47 PM in reply to: M.Red

A selection set is a collection (small c, not the same as a Collection object) of entities.  You need to use the (ssname ... ) LISP function to get the individual entities, by index number.

----------------------------------
If you are going to fly by the seat of your pants, expect friction burns.
Adopt. Adapt. Overcome. Or be overcome.
A good question will be halfway to a good answer.


You are not logged in.

Log into access your profile, ask and answer questions, share ideas and more. Haven't signed up yet? Register

Announcements
Manufacturing Community
The Manufacturing Community provides additional access to tips, tutorials, blogs and networking with peers.

Need installation help?

Start with some of our most frequented solutions to get help installing your software.

New AutoCAD Electrical Category!

The AutoCAD Electrical forum has moved into it's very own category page, and can no longer be found within the Additional Product Forums.

Ask the Community